iSndSysListenerDoppler Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
iSndSysListenerDoppler Struct Reference
Sound system

Extension to the iSndSysListener interface, allowing Doppler shift effects. More...

`#include <isndsys/ss_listener.h>`

Inheritance diagram for iSndSysListenerDoppler:

List of all members.

## Public Member Functions
virtual float | GetDopplerFactor ()=0
| Get the Doppler factor.
virtual float | GetSpeedOfSound ()=0
| Get the speed of sound.
virtual const csVector3 & | GetVelocity ()=0
| Get velocity (speed) of th elistener.
virtual void | SetDopplerFactor (const float DopplerFactor)=0
| Set the Doppler factor.
virtual void | SetSpeedOfSound (const float SpeedOfSound)=0
| Set the speed of sound.
virtual void | SetVelocity (const csVector3 &Velocity)=0
| Set velocity (speed) of the listener.

## Detailed Description

Extension to the iSndSysListener interface, allowing Doppler shift effects.

The Doppler effect that causes sound sources the change in pitch as their relative velocities change. As an example the siren of an ambulance will increase in pitch as it approaches you, and decrease once it has passed you.

See also:
  iSndSysSource3DDoppler

Definition at line 73 of file ss_listener.h.

## Member Function Documentation

virtual float iSndSysListenerDoppler::GetDopplerFactor | ( |  | ) | `[pure virtual]`

Get the Doppler factor.

virtual float iSndSysListenerDoppler::GetSpeedOfSound | ( |  | ) | `[pure virtual]`

Get the speed of sound.

virtual const csVector3& iSndSysListenerDoppler::GetVelocity | ( |  | ) | `[pure virtual]`

Get velocity (speed) of th elistener.

virtual void iSndSysListenerDoppler::SetDopplerFactor | ( | const float | DopplerFactor | ) | `[pure virtual]`

Set the Doppler factor.

virtual void iSndSysListenerDoppler::SetSpeedOfSound | ( | const float | SpeedOfSound | ) | `[pure virtual]`

Set the speed of sound.

virtual void iSndSysListenerDoppler::SetVelocity | ( | const csVector3 & | Velocity | ) | `[pure virtual]`

Set velocity (speed) of the listener.

The documentation for this struct was generated from the following file:

- isndsys/ss_listener.h